#region usings
using System;
using System.ComponentModel.Composition;

using VVVV.PluginInterfaces.V1;
using VVVV.PluginInterfaces.V2;
using VVVV.PluginInterfaces.V2.Graph;
using VVVV.Utils.VColor;
using VVVV.Utils.VMath;

using VVVV.Core.Logging;
#endregion usings

namespace VVVV.Nodes
{
	#region PluginInfo
	[PluginInfo(Name = "BallaBalla", Category = "Value",AutoEvaluate=true,Tags = "c#")]
	#endregion PluginInfo
	public class ValueBallaBallaNode : IPluginEvaluate
	{
		#region fields & pins
		[Import()]
		public ILogger FLogger;
		
		[Import()]
		public IHDEHost V2Host;
		
		#endregion fields & pins

		private bool Initialized = false;
		
		private void NodeAdded(INode2 node) 
		{
			var pin = node.FindPin("Tag");
			if(pin != null) 
			{
				FLogger.Log(LogType.Debug, "tag: " + pin[0]);				
			}
		}
		
		//called when data for any output pin is requested
		public void Evaluate(int SpreadMax)
		{
			if(!Initialized) 
			{
				V2Host.ExposedNodeService.NodeAdded += NodeAdded;
				Initialized = true;
			}
		}
	}
}
